function [tf] = tfidf(data)

% 
% [tf] = tfidf(data)
% 
% copmutes the tfidf from documents
% output tf - the tfidf for the document vectors
% input data - a matrix of size NxM where N is the number of words
%              and M is the number of documents
%
% David R. Hardoon
% drh@ecs.soton.ac.uk

[N,M] = size(data);
tf = zeros(N,M);

for i=1:M
  for j=1:N
    X = sum(data(j,:) > 0);
    if X > 0
       tf(j,i) =  data(j,i)*log(M/X);
    else
       tf(j,i) = 0;
    end
  end
end
